Dynamiq
Apps

Delete an app trigger

Permanently deletes a trigger.

DELETE
/v1/apps/{app_id}/triggers/{trigger_id}

Authorization

AuthorizationBearer <token>

Organization or project Access Key created in the Dynamiq console. Used for deployed-app (Runs API), AI Gateway, traces collector, and management API requests. Send as Authorization: Bearer <access-key>.

In: header

Path Parameters

app_id*string

App UUID.

trigger_id*string

Trigger UUID.

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08/triggers/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "message": "deleted"
}
{
  "error": {
    "code": "unauthorized",
    "message": "Unauthorized"
  }
}
{
  "error": {
    "code": "not_found",
    "message": "Not Found"
  }
}